Runtime

## org.eclipse.gmf.runtime.common.ui.services.dnd.drag
Interface IDragSourceListener

All Superinterfaces:
  DragSourceListener, java.util.EventListener, org.eclipse.swt.internal.SWTEventListener

All Known Implementing Classes:
  AbstractDragSourceListener, ResourceDragSourceListener

    public interface IDragSourceListener

extends DragSourceListener

Interface to be implemented by providers to handle drag source events

Method Summary
`java.lang.String[]` `getSupportingTransferIds()` Returns the supporting transfer agent ids.
`boolean` `isDraggable(IDragSourceContext context)` Determines if the selection in the context is draggable.

Methods inherited from interface org.eclipse.swt.dnd.DragSourceListener
`dragFinished, dragSetData, dragStart`

Method Detail

### isDraggable

    boolean isDraggable(IDragSourceContext context)

  Determines if the selection in the context is draggable. This method is invoked when the drag starts

  Parameters:
    `context` - The context associated with the drag source
  Returns:
    true if the drag allowed and false otherwise.

### getSupportingTransferIds

    java.lang.String[] getSupportingTransferIds()

  Returns the supporting transfer agent ids.

  Returns:
    return the supporting transfer agent ids

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.